
Summary: Python bindings for QtWebEngine
Name:    pyqtwebengine
Version: 5.15.6
Release: 2%{?dist}

License: GPLv3
Url:     https://www.riverbankcomputing.com/software/pyqt/
Source0: %{pypi_source PyQtWebEngine}
ExclusiveArch: x86_64 aarch64


BuildRequires: make
BuildRequires: gcc-c++
BuildRequires: pkgconfig(Qt5WebEngine)

BuildRequires: python%{python3_pkgversion}-devel python%{python3_pkgversion}
BuildRequires: python%{python3_pkgversion}-qt5
BuildRequires: python%{python3_pkgversion}-qt5-devel
BuildRequires: %{py3_dist sip} >= 5.3
BuildRequires: %{py3_dist PyQt-builder} >= 1

%description
%{summary}.

%package -n python%{python3_pkgversion}-qt5-webengine
Summary: Python3 bindings for Qt5 WebEngine
Requires:  python%{python3_pkgversion}-qt5
%description -n python%{python3_pkgversion}-qt5-webengine
%{summary}.

%package devel
Summary: Development files for %{name}
Conflicts: python%{python3_pkgversion}-qt5-devel < 5.12.1
Requires: %{py3_dist sip} >= 5.3
%description devel
%{summary}.

%package doc
Summary: Developer documentation for %{name}
BuildArch: noarch
%description doc
%{summary}.


%prep
%setup -q -n PyQtWebEngine-%{version}


%build
PATH=%{_qt5_bindir}:$PATH ; export PATH

sip-build \
  --no-make \
  --qmake=%{_qt5_qmake} \
  --api-dir=%{_qt5_datadir}/qsci/api/python \
  --verbose \
  --qmake-setting 'QMAKE_CFLAGS_RELEASE="%{build_cflags}"' \
  --qmake-setting 'QMAKE_CXXFLAGS_RELEASE="%{build_cxxflags}"' \
  --qmake-setting 'QMAKE_LFLAGS_RELEASE="%{build_ldflags}"'

%make_build -C build


%install

%make_install INSTALL_ROOT=%{buildroot} -C build

for i in %{buildroot}%{python3_sitearch}/PyQt5/*.so ; do
test -x $i  || chmod a+rx $i
done


%files -n python%{python3_pkgversion}-qt5-webengine
%doc README
%license LICENSE
%{python3_sitearch}/PyQtWebEngine-%{version}.dist-info/
%{python3_sitearch}/PyQt5/QtWebEngine.*
%{python3_sitearch}/PyQt5/QtWebEngineCore.*
%{python3_sitearch}/PyQt5/QtWebEngineWidgets.*

%files devel
%license LICENSE
%{python3_sitearch}/PyQt5/bindings/QtWebEngine*/

%files doc
%dir %{_qt5_datadir}/qsci/
%dir %{_qt5_datadir}/qsci/api/
%dir %{_qt5_datadir}/qsci/api/python/
%doc %{_qt5_datadir}/qsci/api/python/PyQtWebEngine.api


%changelog
* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 5.15.6-2
- Rebuilt for loongarch64

* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.15.6-1
- initial build
